Before You've Received Your Card Machine


Which Android devices work with Yoco?


We generally support the Android devices from the past 2 years on the latest version of the Yoco app (4.2.2 and higher). The absolute minimum requirements are as follows:

  • Android 4.2 and above
  • 800x480 screen resolution and higher
  • 3G/LTE/Wireless internet connectivity
  • GPS
  • Bluetooth connectivity
  • 1GB RAM

For the best experience, we recommend a phone or tablet with the additional following specs:

  • Android 5 and above
  • 2GB RAM
  • Quad core CPU

We have successfully tested the following Android phones over the past few years. Note this is not an exhaustive list.


 

  Vodafone Smart 4

  Vodafone Smart 6

  Acer Z500

  HTC Desire HD

  Sony Xperia E1

  Sony Xperia Z2

  ZTE Grand X2

  HTC One

  Huawei Y220

  Huawei Y300

  Huawei Ascend G525

  LG G3

  LG G Flex

  Ruggear RG500

  Samsung Galaxy Note 4

  Samsung Galaxy Note 3

  Samsung Galaxy S6 Edge

  Samsung Galaxy S6

  Samsung Galaxy S5

  Samsung Galaxy S5 Mini

  Samsung Galaxy S4

  Samsung Galaxy S4 Mini

  Samsung Galaxy S3

  Samsung Galaxy Trend Plus

  Samsung Galaxy A3

  Samsung Galaxy A5

  Samsung Galaxy Young 2

  Samsung Galaxy Trend Neo

We have also successfully tested the following Android tablets. Note this is not an exhaustive list.


  Samsung Note 10.1

  Samsung Galaxy Tab E

  Samsung Galaxy Tab P1000

  Samsung Galaxy Tab 2

  Samsung Galaxy Tab 3 Lite

  Asus Google Nexus 7

  Nivia Shield

  Dell Venue 7

  MTN 8978P Steppa Tablet

  IMPORTANT: If the app is not available for download in the Google Play Store, then it has not met the minimum requirements for the app.

If you have a device listed above and the app does not work, please ensure that you have the latest version of Yoco. The latest version of Yoco can be downloaded from the Google Play Store.

googlePlayIcon.png

  IMPORTANT: If you are unsure if your phone is compatible with the Yoco solution please download the following Spec Device app: Spec Device app. Navigate to 'My Spec Link' and email support@yoco.co.za. We'll then be able to confirm if your device is compatible.

Devices definitely not supported


  Blackberry

  Windows Phone

  Vodacom Smart 4 mini

  Alcatel

  Hisense

  Vodafone Smart Tab

  Acer

  Karbonn

  Smartpoynt

  Mediatek chipset

  Redmi

  Sony Experia E4

  ZTE Blade C310

  Huawei Ascend Y220

  Huawei P8 and Huawei P8 lite (encountering high error rates on these phones)

 


 

Help us improve our Help Centre. Was this article helpful?

Have more questions? Contact us now